[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.ReadBool

## Declaration

Source position: inifiles.pp line 138

`public function TCustomIniFile.ReadBool(`
`const Section: string;`
`const Ident: string;`
`Default: Boolean`
`):Boolean; virtual;`

## Arguments

`Section` |  | Section to read Ident from
`Ident` |  | Name of key to retrieve value from
`Default` |  | Default value to return when the key Ident does not exist.

## Function result

Value of Ident as a boolean

## Description

ReadString reads the key Ident in section Section, and returns the value as a boolean (valid values are 0 and 1). If the specified key or section do not exist, then the value in Default is returned. If the key exists, but contains an invalid integer value, False is also returned.

## See also

WriteBool |  | Write boolean value
ReadInteger |  | Read an integer value from the file
ReadString |  | Read a string valued key
ReadDate |  | Read a date value
ReadDateTime |  | Read a Date/Time value
ReadTime |  | Read a time value
ReadFloat |  | Read a floating point value
ReadBinaryStream |  | Read binary data

Documentation generated on: Feb 26 2014